# dipy_cluster_streamlines

## Synopsis

Cluster streamlines.

Algorithms used to cluster streamlines are QuickBundles, QuickBundlesX or FastStreamlineSearch.

## Usage

    dipy_cluster_streamlines [OPTIONS] streamline_files

## Input Parameters

- `streamline_files`

  Path to the streamline files. This path may contain wildcards to process multiple inputs at once.

## General Options

- `--method`

  Clustering method to use. Options are:

  - ‘quickbundles’: QuickBundles with a single distance threshold.

  - ‘qbx_and_merge’: QuickBundlesX with multi-level thresholds, then merge.

  - ‘faststreamlines’: QuickBundles for initial centroids followed by FastStreamlineSearch for streamline reassignment.

  (default: qbx_and_merge)

- `--threshold`

  Distance threshold (mm) used by ‘quickbundles’ and ‘faststreamlines’ methods. (default: 10.0)

- `--thresholds`

  Comma-separated distance thresholds (mm) used by the ‘qbx_and_merge’ method (e.g. ‘30,20,10’). (default: 30,20,10)

- `--nb_pts`

  Number of points to resample each streamline to before clustering. Used by ‘qbx_and_merge’. (default: 20)

- `--min_cluster_size`

  Minimum number of streamlines a cluster must contain to be kept. (default: 1)

- `--select_randomly`

  Randomly select a subset of streamlines before clustering. Used by ‘qbx_and_merge’. (default: None)

- `--max_radius`

  Maximum search radius (mm) used by the ‘faststreamlines’ method. (default: 10.0)

## Output Options

- `--out_dir`

  Output directory. (default: current directory)

- `--out_centroids`

  Filename for the output cluster centroids tractogram. (default: centroids.trx)

- `--out_cluster_labels`

  Filename for the output cluster label array (.npy). (default: cluster_labels.npy)

## References

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.